## qtmapper 1.0-0maemo0

=== Makefile ===
#############################################################################
# Makefile for building: qtmapper
# Generated by qmake (2.01a) (Qt 4.4.1) on: Tue Dec 16 16:38:47 2008
# Project:  qtmapper.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile qtmapper.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
#QMAKE         = /usr/bin/qmake
QMAKE         = /usr/lib/qt4/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qtmapper.pro  /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile qtmapper.pro
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile qtmapper.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: qtmapper
# Generated by qmake (2.01a) (Qt 4.4.1) on: Tue Dec 16 16:38:58 2008
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: src.pro  /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/debug_and_release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/debug_and_release.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtWebKit.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile src.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== src/unittests/testtrackingdatareader/Makefile ===
#############################################################################
# Makefile for building: testtrackingdatareader
# Generated by qmake (2.01a) (Qt 4.3.4) on: Wed Nov 5 13:33:36 2008
# Project:  testtrackingdatareader.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile testtrackingdatareader.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -fpermissive -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I/usr/include/qt4/QtTest -I. -I../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,--no-undefined
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -lQtXml -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = testtrackingdatareader.cpp \
		../../src/trackingdatareader.cpp \
		../../src/trackpoint.cpp moc_testtrackingdatareader.cpp
OBJECTS       = testtrackingdatareader.o \
		trackingdatareader.o \
		trackpoint.o \
		moc_testtrackingdatareader.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		testtrackingdatareader.pro
QMAKE_TARGET  = testtrackingdatareader
DESTDIR       = 
TARGET        = testtrackingdatareader

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: testtrackingdatareader.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile testtrackingdatareader.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qtestlib.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile testtrackingdatareader.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/testtrackingdatareader1.0.0 || $(MKDIR) .tmp/testtrackingdatareader1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/testtrackingdatareader1.0.0/ && $(COPY_FILE) --parents testtrackingdatareader.h ../../src/trackingdatareader.h ../../src/trackpoint.h .tmp/testtrackingdatareader1.0.0/ && $(COPY_FILE) --parents testtrackingdatareader.cpp ../../src/trackingdatareader.cpp ../../src/trackpoint.cpp .tmp/testtrackingdatareader1.0.0/ && (cd `dirname .tmp/testtrackingdatareader1.0.0` && $(TAR) testtrackingdatareader1.0.0.tar testtrackingdatareader1.0.0 && $(COMPRESS) testtrackingdatareader1.0.0.tar) && $(MOVE) `dirname .tmp/testtrackingdatareader1.0.0`/testtrackingdatareader1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/testtrackingdatareader1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_testtrackingdatareader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_testtrackingdatareader.cpp
moc_testtrackingdatareader.cpp: testtrackingdatareader.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) testtrackingdatareader.h -o moc_testtrackingdatareader.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

testtrackingdatareader.o: testtrackingdatareader.cpp testtrackingdatareader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testtrackingdatareader.o testtrackingdatareader.cpp

trackingdatareader.o: ../../src/trackingdatareader.cpp ../../src/gpxhandler.h \
		../../src/poi.h \
		../../src/poicategory.h \
		../../src/trackingdatareader.h \
		../../src/trackpoint.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o trackingdatareader.o ../../src/trackingdatareader.cpp

trackpoint.o: ../../src/trackpoint.cpp ../../src/trackpoint.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o trackpoint.o ../../src/trackpoint.cpp

moc_testtrackingdatareader.o: moc_testtrackingdatareader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_testtrackingdatareader.o moc_testtrackingdatareader.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
qtmapper (1.0-0maemo0) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Antero Lehtonen <antero.lehtonen@ixonos.com>  Thu, 27 Nov 2008 10:39:15 +0200

=== debian/control ===
Source: qtmapper
Section: user/other
Priority: optional 
Maintainer: AL <xxxxxxx.xxxxxx@maemo.org>
Build-Depends: debhelper (>= 5), libqt4-gui (>=4.4),libqt4-sql(>=4.4), libqt4-core(>=4.4), libqt4-sql-sqlite(>=4.4), libqt4-sql-sqlite2(>=4.4), libqt4-network(>=4.4), libqt4-xml(>=4.4), libqt4-dev(>=4.4), libgpsbt, libgpsmgr, libgpsbt-dev, libgpsmgr-dev
Standards-Version: 3.7.3

Package: qtmapper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mapper is GPS navigation application developed for the Nokia N810 Internet Tablet

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := qtmapper
builddir:
	mkdir -p builddir
	
builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
